<template>
  <div
    class="best-deal inline-block flex-col rounded"
    :class="[scrollable ? 'scrollable' : 'flex-1']"
  >
    <div
      class="deal-image relative bg-cover bg-no-repeat bg-center"
      :style="{ 'background-image': `url(${img})` }"
    >
      <span class="like-btn absolute"> <img src="/like.svg" /> </span>
    </div>
    <div class="deal-body flex flex-row bg-white px-6 py-2">
      <div class="flex flex-1 flex-col">
        <h1 class="best-deal-title font-bold mb-2">{{ title }}</h1>
        <div class="flex flex-row">
          <div
            class="deal-tag flex flex-row p-1 mr-2 text-sm leading-none rounded"
            v-for="(tag, i) in tags"
            :key="i"
          >
            <img :src="tag.icon" alt="" /> <span>{{ tag.text }}</span>
          </div>
        </div>
      </div>
      <div class="flex items-center">
        <div class="score rounded-full p-4 leading-none text-white font-bold">
          {{ score }}
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'best-deal',
  props: {
    img: { type: String, default: '/deal-placeholder.png' },
    title: { type: String, default: 'Название ресторана' },
    tags: {
      type: Array,
      default: () => [
        { text: '0 ₽', icon: '/money.svg' },
        { text: '20-30 мин', icon: '/time.svg' },
        { text: '₽₽₽', icon: '/delivery.svg' },
      ],
    },
    score: { type: Number, default: 4.7 },
    scrollable: { type: Boolean, default: false },
  },
}
</script>

<style>
.best-deal {
  box-shadow: 2px 3px 20px rgba(0, 0, 0, 0.08);
  border-radius: 10px;
  overflow: hidden;
}

.best-deal + .best-deal {
  margin-left: 14px;
}

.score {
  background-color: #069852;
}

.scrollable {
  width: 33%;
}

.deal-image {
  height: 200px;
}

.like-btn {
  right: 20px;
  bottom: 16px;
}

.deal-tag {
  display: flex;
  flex-direction: row;
  color: #2c2c2c;
  background-color: #f4f4f4;
}

.deal-tag > span {
  margin-left: 6px;
}

.deal-image {
  background-color: #f4f4f4;
}
</style>
